<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>

<!-- This page is included to display messages which are set to request scope or session scope -->
<jsp:include page="../dialog/display_messages.jsp"/>

<fmt:bundle basename="org.wso2.carbon.pojoservices.ui.i18n.Resources">
<carbon:breadcrumb 
		label="pojoservices.headertext"
		resourceBundle="org.wso2.carbon.pojoservices.ui.i18n.Resources"
		topPage="true" 
		request="<%=request%>" />

    <script type="text/javascript">
        function validate() {
            var jarinput = document.pojoUpload.jarZipFilename.value;
            if (jarinput == '') {
                CARBON.showWarningDialog('<fmt:message key="select.pojo"/>');
            } else if (jarinput.lastIndexOf(".class") == -1) {
                CARBON.showWarningDialog('<fmt:message key="select.class"/>');
            } else {
                document.pojoUpload.submit();
            }
        }
    </script>

    <div id="middle">

        <h2><fmt:message key="pojoservices.headertext"/></h2>

        <div id="workArea">
            <form method="post" name="pojoUpload" action="../../fileupload/pojo"
                  enctype="multipart/form-data" target="_self">
                <table class="styledLeft">
                    <thead>
                    <tr>
                        <th><fmt:message
                                key="pojoservices.upload.pojo.service"/></th>
                    </tr>
                    </thead>

                    <tr>
                        <td class="formRow">
                            <table class="normal">
                                <tr>
                                    <td>
                                        <label><fmt:message key="pojoservice.jar.or.class"/>
                                            </label>
                                    </td>
                                    <td>
                                        <input type="file" id="jarZipFilename" name="jarZipFilename"
                                               size="50"
                                               value="<fmt:message key="pojoservice.browse"/>"/>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td class="buttonRow">
                            <input name="upload" type="button" class="button"
                                   value=" <fmt:message key="pojoservice.upload"/> "
                                   onclick="validate();"/>
                            <input type="button" class="button"
                                   onclick="javascript:location.href='../service-mgt/index.jsp'"
                                   value="<fmt:message key="pojoservice.cancel"/>"/>
                        </td>
                    </tr>
                </table>
            </form>
        </div>
    </div>
</fmt:bundle>
